## btrfsd 0.2.1

=== meson_options.txt ===

option('btrfs-cmd',
    type: 'string',
    value: 'auto',
    description: 'Path to the "btrfs" command, set to "auto" to autodetect.'
)

#
# For development
#
option('maintainer',
       type : 'boolean',
       value : false,
       description : 'Enable maintainer mode (use strict compiler flags, e.g. -Werror)'
)
option('static-analysis',
       type : 'boolean',
       value : false,
       description : 'Enable GCC static analysis support'
)

=== debian/changelog ===
btrfsd (0.2.1-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:36:28 +1100

btrfsd (0.2.1-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 03:58:24 +0000

btrfsd (0.2.1-1) unstable; urgency=medium

  * New upstream version: 0.2.1
    - Resolves a crash when checking for battery status (Closes: #1053852)

 -- Matthias Klumpp <mak@debian.org>  Sat, 14 Oct 2023 19:05:32 +0200

btrfsd (0.2.0-1) unstable; urgency=medium

  * New upstream version: 0.2.0

 -- Matthias Klumpp <mak@debian.org>  Wed, 30 Aug 2023 22:25:06 +0200

btrfsd (0.1.0-1) unstable; urgency=medium

  * Initial release

 -- Matthias Klumpp <mak@debian.org>  Thu, 24 Aug 2023 22:58:48 +0200

=== debian/control ===
Source: btrfsd
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Matthias Klumpp <mak@debian.org>
Build-Depends: btrfs-progs,
               debhelper-compat (= 13),
               docbook-xsl,
               libglib2.0-dev,
               libjson-glib-dev,
               libsystemd-dev,
               meson,
               systemd,
               xsltproc
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://github.com/ximion/btrfsd
Vcs-Git: https://salsa.debian.org/debian/btrfsd.git
Vcs-Browser: https://salsa.debian.org/debian/btrfsd

Package: btrfsd
Architecture: linux-any
Depends: btrfs-progs,
         systemd,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: default-mta | mail-transport-agent,
          smartmontools,
          upower
Description: Tiny Btrfs maintenance daemon
 Btrfsd is a lightweight daemon that takes care of running Btrfs filesystem
 maintenance tasks.
 It can:
 .
  * Check for detected errors and broadcast a warning if any were found,
    or optionally send an email
  * Perform scrub periodically if the system is not on battery
  * Optionally run balancing operations periodically
 .
 The daemon is designed to be run on any system, from a small notebook to a
 large storage server.
 If no Btrfs filesystems are found, the daemon will be inert.
 .
 By default, Btrfsd is called every hour via a systemd timer.

## btrfsd 0.2.2

=== debian/changelog ===
btrfsd (0.2.2-1) unstable; urgency=medium

  * New upstream version: 0.2.2
    - Only run all tasks once per filesystem (Closes: #1063812)
  * Add systemd-dev to build dependencies (Closes: #1060591)

 -- Matthias Klumpp <mak@debian.org>  Mon, 24 Jun 2024 12:21:42 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: btrfsd
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Matthias Klumpp <mak@debian.org>
+Maintainer: Matthias Klumpp <mak@debian.org>
 Build-Depends: btrfs-progs,
                debhelper-compat (= 13),
                docbook-xsl,
@@ -11,6 +10,7 @@
                libsystemd-dev,
                meson,
                systemd,
+               systemd-dev,
                xsltproc
 Rules-Requires-Root: no
 Standards-Version: 4.6.2

=== debian/watch ===
version=4

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/btrfsd-$1\.tar\.gz/ \
  https://github.com/ximion/btrfsd/tags .*/v?(\d\S*)\.tar\.gz
